Subject: Re: FW: Windows. Git, and Dedupe

From: René Scharfe <[email-masked]>
Date: Wed, 20 Mar 2013 22:45:20 +0100

Am 20.03.2013 21:43, schrieb Josh Rowe:
> If you have Win8 or HyperV 2012, I can ship you a small NTFS .vhd
> with some deduped files.  I'm not sure if that will be readable, but
> I would hazard a guess that it would be.  It definitely will not be
> readable on Win7.

It would be nice if you could upload it to an FTP server or website and 
post a public link so that the real git-on-Windows developers can get it 
as well.  You can also send it to me personally and I'll see if I can 
mount it using Windows 8 and where I get from there.  In any case, 
please make sure there's no sensitive or private data in the VHD file.

How big is it after compression using (preferably) 7-Zip or ZIP?

> I'm using:
>
> PS C:\> git version git version 1.8.0.msysgit.0

That means compat/mingw.c is directly relevant to you; more about MinGW, 
MSys and git at http://msysgit.github.com/ and http://mingw.org/.

> The file sizes show up as their original size with Windows tools
> (powershell, Win32, cmd, .Net, etc).  git ls-tree -r HEAD does not
> show that hash code for files that are not intentionally empty.

So we can likely (hopefully) get the sizes of deduped files with the 
same API calls as for regular ones.  Which makes me even more puzzled 
over the question of why git makes a difference between the two kinds.

René

-- 
-- 
*** Please reply-to-all at all times ***
*** (do not pretend to know who is subscribed and who is not) ***
*** Please avoid top-posting. ***
The msysGit Wiki is here: https://github.com/msysgit/msysgit/wiki - Github accounts are free.

You received this message because you are subscribed to the Google
Groups "msysGit" group.
To post to this group, send email to [email-masked]
To unsubscribe from this group, send email to
[email-masked]
For more options, and view previous threads, visit this group at
http://groups.google.com/group/msysgit?hl=en_US?hl=en

--- 
You received this message because you are subscribed to the Google Groups "msysGit" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
For more options, visit https://groups.google.com/groups/opt_out.